import { scaleOrdinal } from 'd3';

const colorScale = scaleOrdinal()
	.domain(['apple', 'lemon'])
	.range(['#f56042', '#ffb53d']);

const radiusScale = scaleOrdinal()
	.domain(['apple', 'lemon'])
	.range([50, 30]);


export const fruitsBowl = (selection, props) => {
	const { fruits, height, width } = props;
  
  const bowl = selection.selectAll('rect')
  	.data([null])
  	.enter().append('rect')
  		.attr('width', 900)
  		.attr('height', 260)
  		.attr('y', 110)
  		.attr('rx', 300 / 2)
  
  
  const groups = selection.selectAll('g')
  	.data(fruits, d => d.id);
  
  const groupEnter = groups.enter().append('g');
  
    	
  
  groupEnter
    .attr('transform', (d, i) => `translate(${i * 180 + 100}, ${height / 2})` )
    .merge(groups)
  	.transition().duration(1000)
  	.attr('transform', (d, i) => `translate(${i * 180 + 100}, ${height / 2})` );
  
 	groups.exit().remove();
  
	groupEnter.append('circle')
  	.attr('r', 0)
    .merge(groups.select('circle'))
  	.transition().duration(1000)
    .attr('fill', d => colorScale(d.type))
    .attr('r', d => radiusScale(d.type))
  
  
  groupEnter.append('text')
	  .merge(groups.select('text'))
  	.attr('y', 80)
  	.attr('color', d => colorScale(d.type))
		.text(d => d.type);
      
}

